%define upstream_name Convert-BinHex
%define upstream_version 1.125

%global __requires_exclude perl\\(Mac::Files\\)

Summary:    Extract data from Macintosh BinHex files
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL
Group:      Development/Perl
Requires:   perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(autodie)
BuildRequires: perl(integer)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Convert::BinHex is used to extract data from Macintosh BinHex files

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS" 
# (sb) can't really do this - need a Radius server
#make test

%install
%make_install 

%files
%doc COPYING Changes LICENSE META.json META.yml MYMETA.yml README
%attr(755, root, root) %{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{perl_vendorlib}/Convert

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.125.0-2.mga6
+ Revision: 1024356
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.125.0-1.mga6
+ Revision: 923691
- update to 1.125

* Sun Aug 23 2015 sander85 <sander85> 1.124.0-1.mga6
+ Revision: 868333
- update to 1.124

* Wed Oct 15 2014 umeabot <umeabot> 1.123.0-5.mga5
+ Revision: 743973
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 tv <tv> 1.123.0-4.mga5
+ Revision: 708063
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.123.0-3.mga5
+ Revision: 684013
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.123.0-2.mga4
+ Revision: 534122
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.123.0-1.mga4
+ Revision: 476294
- update to 1.123

* Mon Aug 26 2013 sander85 <sander85> 1.122.0-1.mga4
+ Revision: 472017
- update to 1.122

* Sat Aug 24 2013 sander85 <sander85> 1.121.0-1.mga4
+ Revision: 471188
- update to 1.121

* Thu Aug 22 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 469751
- update to 1.120 (spec refactored)

* Sun Jan 13 2013 umeabot <umeabot> 1.119-8.mga3
+ Revision: 364768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 24 2011 spuhler <spuhler> 1.119-7.mga1
+ Revision: 58197
- Increased rel for rebuild against perl-5.12

* Fri Jan 21 2011 jquelin <jquelin> 1.119-6.mga1
+ Revision: 29958
- mageia rebuild
- imported package perl-Convert-BinHex


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.119-6mdv2010.1
+ Revision: 426434
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.119-5mdv2009.0
+ Revision: 223578
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.119-4mdv2008.1
+ Revision: 166034
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.119-4mdv2008.0
+ Revision: 67819
- rebuild


* Thu Dec 28 2006 Stew Benedict <sbenedict@mandriva.com> 1.119-3mdv2007.0
+ Revision: 102261
- rebuild, %%mkrel

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Convert-BinHex

* Wed Nov 09 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.119-2mdk
- birthday rebuild

* Sat Oct 30 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.119-1mdk
- first Mandrakelinux release, optional feature for perl-MIME-tools

